using UnityEngine;

public class Gem : MonoBehaviour {

    public AudioClip[] woodHit;
    public AudioClip[] gemHit;

    AudioSource audioSource;

    void Start() {
        audioSource = GetComponent<AudioSource>();
    }

    void OnCollisionEnter(Collision collision) {
        if (collision.contacts[0].otherCollider.tag == "Wood") {
            audioSource.clip = woodHit[Random.Range(0, woodHit.Length)];
        }
        else {
            audioSource.clip = gemHit[Random.Range(0, gemHit.Length)];
        }

        audioSource.pitch = Random.Range(0.9f, 1.1f);
        if (collision.relativeVelocity.magnitude < 15) {
            audioSource.volume = collision.relativeVelocity.magnitude / 15f;
        }
        else {
            audioSource.volume = 1;
        }
        audioSource.Play();
    }
}
